I just tried to fillet 2 surfaces with pyhton.
Unfortunatelly it does not have the “extend” option, so that it would extend the fillet if the surfaces are not homogenious at their intersection.
Hi Tobi - you can delve into RhinoCommon and offset the brep, e.g.
def OffsetBrep():
id = rs.GetObject(preselect=True)
brep= rs.coercebrep(id)
oBreps = Rhino.Geometry.Brep.CreateOffsetBrep( brep, 2, False, True, .001)
for brepList in oBreps:
for x in brepList:
if x.IsValid:
sc.doc.Objects.AddBrep(x)
rs.Redraw()
Hi Pascal.
One last question.
If I wanna get the ID of the brep that got created. How would I get that?
I just thought I might also use phytons “PointClosestObject”, but that would be a lot of iterations it you’d have let’s say 1000 breps that you’d create.